r.colors.out(1)

NAME
r.colors.out - Exports the color table associated with a raster map.

KEYWORDS
raster, color table, export

SYNOPSIS
r.colors.out
r.colors.out --help
r.colors.out [-p] map=name [rules=name] format=name color_format=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-p
    Output values as percentages

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of raster map

rules=name
    Path to output rules file
    If not given write to standard output

format=name [required]
    Output format
    Options: plain, json
    Default: plain
    plain: Plain text output
    json: JSON (JavaScript Object Notation)

color_format=name [required]
    Color format
    Color format for output values.
    Options: rgb, hex, hsv, triplet
    Default: hex
    rgb: output color in RGB format
    hex: output color in HEX format
    hsv: output color in HSV format (experimental)
    triplet: output color in colon-separated RGB format

DESCRIPTION
r.colors.out allows the user to export the color table for a raster map to a file which is suitable as input to r.colors.

EXAMPLES

r.colors.out map=el_D782_6m rules=rules.txt
r.colors map=el_D783_6m rules=rules.txt
r.colors.out map=el_D782_6m rules=rules.json format=json

SEE ALSO
r.colors

AUTHOR
Glynn Clements

SOURCE CODE

Available at: r.colors.out source code (history)

Latest change: Thursday Dec 18 07:11:47 2025 in commit: cf870a5e49fd2643a55de543467edf5c2e61d640

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual